lisp2arx
Visual Programming for AutoLisp Mathématiques en programmation Lisp.. doc2cpp,doc2lsp, sld2lsp, bmp2dcl, free__GifCcapture for all-CAD'platforms..
Lista Forumurilor Pe Tematici
lisp2arx | Reguli | Inregistrare | Login

POZE LISP2ARX

Nu sunteti logat.
Nou pe simpatie:
monaahmed2012
Femeie
25 ani
Calarasi
cauta Barbat
25 - 46 ani
lisp2arx / GnuLisp and CommonLisp / GnuLisp-call apply demonstation  
Autor
Mesaj Pagini: 1
admin
Administrator

Din: Bucharest
Inregistrat: acum 13 ani
Postari: 516
You downloading the DevIDE with Portacle==
https://sourceforge.net/projects/vlaxco ... it2020-03/

You see multiple results with the same source?

(princ (reduce #'+ '(1 2 3 4 5)))
(princ (apply #'max  '(2 7 3)) )

Code:

(defun sum (L)
  (apply #'+ L))
and then call the following:

(sum '(1 2 3 4 5))
does it do the following:

(+ 1 2 3 4 5)

Eu te rog nu nu mai face astfel de filme youtube. la un moment dat, daca oamenii vor coloniza Luna sau Marte, noi trebuie sa asteptam, sa invatam o noua istorie a lui Dumnezeu, din solul Lunar  sau din solul   planeta  Marte..Noi sa nu fim prostii  prostiilor să   profităm acum ,Dacă Adam a fost blestemat de Dumnezeu (tărăna esti, si in tărăna te vei intoarce).. -- Anii noi profităm daca reusesc oamenii high-tech,   să invătam despre Dumnezeu din solul Lunar. sau din tărăna depe Marte.

Code:

(defun nn_vmload( / m objsel scara vCnt qlay bnam idx nrp tpu vcd nop startpoint)
 (setq;|a000|;
         lpt nil
         nrp (jc_pin15 22719 (list "USERI1"))
         qlay (list "Vertex Symbol")) (jc_pin15 40706 (list)) (setq;|a000|;
         m (strcat "Enter PickStart Point <" (itoa nrp) ">:")) (setq;|a000|;
         nrp2 (jc_pin15 28947 (list m))) (if (=  nil nrp2) (setq;|a68293656|;
         nrp2 nrp)) (setq;|a170878964|;
         bnam (jc_pin15 31216 (list nil))) (jc_pin15 5113 (list (list "\nCurrent BlockName for points=" bnam))) (prompt "\nSelect one Polyline:") (setq;|a282320633|;
         contur (car (jc_pin15 45095 (list "")))) (if (=  contur nil) (progn  (jc_pin15 30856 (list readme.txt)) (exit))) (jc_pin15 60116 (list qlay 7)) (setq;|a000|;
         objsel (list (jc_pin15 5793 (list contur)))) (setq;|a67630093|;
         startpoint (jc_pin15 28408 (list (car objsel)))) (setq;|a17664|;
         vCnt (jc_pin15 12238 (list (car objsel)))) (jc_pin15 5113 (list (list "\nCount-of-Vertex=" vCnt))) (if (>  vCnt 0) (setq;|a68293656|;
         nop (jc_pin15 2723 (list "USERI1" (atoi (rtos (+ vCnt 1) 2 1)))))) (jc_pin15 2723 (list "CLAYER" (car qlay))) (progn (setq;|a203785000|;
         idx 0) (while (<  idx vCnt) (setq;|a577266529|;
         ptx (jc_pin15 31552 (list (car objsel) idx))
         lpt (jc_pin15 23410 (list ptx lpt))
         nop (jc_pin15 27263 (list bnam ptx 1.0 1.0 1.0))) (setq;|a282324544|;
         idx (+ idx 1)))) (progn (setq;|a203785000|;
         ida 0) (while (<  ida vCnt) (setq;|a67118218|;
         ptx (jc_pin15 31552 (list (car objsel) ida))
         tpu (strcat "Tp" (itoa ida))
         nop (jc_pin15 20821 (list tpu ptx 5.0 nil "C" 31))) (setq;|a282324544|;
         ida (+ ida 1)))) (setq;|a000|;
         dyn (jc_pin15 61529 (list "[YN]" "\nZoomExtend[Yes/No]?"))) (if (=  dyn "Y") (command "_zoom" "e")) (setq;|a282324544|;
         vcd (jc_pin15 22719 (list "VIEWCTR"))) (foreach item lpt (jc_pin15 11086 (list item vcd 11)))      
$rr)



Code:

(defun nn_vmload( / m objsel scara vCnt qlay bnam 
idx nrp tpu vcd nop startpoint)
 (setq;|a000|;
     lpt nil
     nrp (getvar "USERI1")
     qlay (list "Vertex Symbol")) (vl_load_com) 
(setq;|a000|;
     m (strcat "Enter PickStart Point <" (itoa 
nrp) ">:")) (setq;|a000|;
     nrp2 (getint m)) (if (=  nil nrp2) 
(setq;|a68293656|;
     nrp2 nrp)) (setq;|a200035688|;
     bnam (dfn_getx_blockname nil)) (php_echo (list "\nCurrent BlockName for points=" bnam)) (prompt "\nSelect one Polyline:") (setq;|a199941881|;
     contur (car (entsel ""))) (if (=  contur nil) 
(progn  (alert readme.txt) (exit))) (dfn_enamk_layer 
qlay 7) (setq;|a000|;
     objsel (list (vlax-ename->vla-object 
contur))) (setq;|a67630093|;
     startpoint (vlax-curve-getstartpoint (car 
objsel))) (setq;|a17664|;
     vCnt (vlax-curve-getendparam (car 
objsel))) (php_echo (list "\nCount-of-Vertex=" vCnt)) (if 
(>  vCnt 0) (setq;|a68293656|;
     nop (setvar "USERI1" (atoi (rtos (+ vCnt 1) 
2 1))))) (setvar "CLAYER" (car qlay)) (progn 
(setq;|a169652048|;
     idx 0) (while (<  idx vCnt) (setq;|a-5907|;
     ptx (vlax-curve-getpointatparam (car 
objsel) idx)
     lpt (cons ptx lpt)
     nop (dfn_block_insert bnam ptx 1.0 1.0 
1.0)) (setq;|a199945792|;
     idx (+ idx 1)))) (progn (setq;|a169652048|;
     ida 0) (while (<  ida vCnt) 
(setq;|a68293656|;
     ptx (vlax-curve-getpointatparam (car 
objsel) ida)
     tpu (strcat "Tp" (itoa ida))
     nop (dfn_enamk_textddi tpu ptx 5.0 nil "C" 
31)) (setq;|a199945792|;
     ida (+ ida 1)))) (setq;|a000|;
     dyn (dfn_getx_readkey "[YN]" 
"\nZoomExtend[Yes/No]?")) (if (=  dyn "Y") (command 
"_zoom" "e")) (setq;|a199945792|;
     vcd (getvar "VIEWCTR")) (foreach item lpt 
(grdraw item vcd 11))        
$rr)



apply you the devide with ... see multiple results with the same source? (princ (reduce #'+ '(1

61.7KB


_______________________________________


pus acum 3 ani
   
Pagini: 1  

Mergi la